## org.eclipse.jet.compiler
Class XMLBodyElement

    java.lang.Object
      org.eclipse.jet.compiler.JET2ASTElement
          org.eclipse.jet.compiler.XMLElement
              org.eclipse.jet.compiler.XMLBodyElement

    public final class XMLBodyElement

extends XMLElement

Define a JET2 XML Element that has a begin-tag and end-tag, and zero or more body elements.

Method Summary
`void` `accept(JET2ASTVisitor visitor)` Visit the AST and its contained elements.
`java.util.List` `getBodyElements()` Return a read-only list of JET2 elements contained by this element.
`XMLBodyElementEnd` `getEndTag()`
`JET2ASTElement` `getNextElement()`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.jet.compiler.XMLElement
`getAttributes, getName, getNSPrefix, getTagDefinition, getTagNCName, removeLineWhenOtherwiseEmpty`

Methods inherited from class org.eclipse.jet.compiler.JET2ASTElement
`getColumn, getEnd, getLine, getParent, getPrevElement, getStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getBodyElements

    public final java.util.List getBodyElements()

  Return a read-only list of JET2 elements contained by this element.

  Returns:
    a List of `JET2ASTElement` instances. The empty list is returned if there are no elements.

### accept

    public void accept(JET2ASTVisitor visitor)

  Description copied from class: `JET2ASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept` in class `JET2ASTElement`
  See Also:
    `JET2ASTElement.accept(org.eclipse.jet.compiler.JET2ASTVisitor)`

### getEndTag

    public final XMLBodyElementEnd getEndTag()

  Returns:
    Returns the endTag.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getNextElement

    public JET2ASTElement getNextElement()

  Overrides:
    `getNextElement` in class `JET2ASTElement`

Copyright 2006 IBM Corporation and others. All Rights Reserved.